Pipelines
Update pipeline
PUT /api/pipelines/:uuid
All default attributes for a pipeline may be updated in addition to the following:
string
The uuid for a block upstream of the pipeline.
array of objects
Mage Pro only. Pipeline-level callback configuration for callback blocks that should run once
after the pipeline run reaches a terminal status. Callback decorators inside the callback block
determine the behavior for success, failure, and cancellation.
array of objects
Array of conditional block objects. Same shape as
blocks.array of strings
Non-empty tag names to associate with the pipeline. Tag names are trimmed and duplicate names are
ignored before persistence. Each tag name cannot exceed 70 characters.